Package net.rubygrapefruit.platform.internal

# Class DefaultProcessLauncher

java.lang.Object
net.rubygrapefruit.platform.internal.DefaultProcessLauncher

All Implemented Interfaces:
  `NativeIntegration`, `ProcessLauncher`

public class DefaultProcessLauncher extends Object implements ProcessLauncher

## Constructor Summary

Constructors
Constructor
Description
`DefaultProcessLauncher()`

## Method Summary

Modifier and Type
Method
Description
`Process`
`start(ProcessBuilder processBuilder)`
Starts a process from the given settings.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultProcessLauncher

public DefaultProcessLauncher()

## Method Details

### start

public Process start(ProcessBuilder processBuilder) throws NativeException
Description copied from interface: `ProcessLauncher`
Starts a process from the given settings.

Specified by:
  `start` in interface `ProcessLauncher`
Parameters:
  `processBuilder` - The process settings.
Returns:
  the process
Throws:
  `NativeException` - On failure to start the process.